All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class UpDownTextArea

    com.sas.visuals.UpDownTextArea

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedListener, ComponentInterface, DesignTimeDropTargetInterface, LinkPropertiesInterface, ModelInterface, ValidatorInterface, ViewInterface, MultipleValueEventSourceInterface, java.awt.event.AdjustmentListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class UpDownTextArea

implements java.awt.event.AdjustmentListener, com.sas.collection.ContentsChangedListener

See Also:
  Serialized Form

Field Summary
`protected TextArea` | `items`
`protected SpinButton` | `reorder`

Constructor Summary
`UpDownTextArea()`

Method Summary
`void` | `adjustmentValueChanged(java.awt.event.AdjustmentEvent e)`
`void` | `attachModel(ModelInterface model)` Attaches the specified model to this view.
`void` | `contentsChanged(com.sas.collection.ContentsChangedEvent e)`
`void` | `detachModel(ModelInterface model)` Detaches the specified model from this view.
`int` | `getCaretRow()`
`int` | `getColumns()`
`java.util.Vector` | `getRequiredInterfaces()` Returns the required interfaces Vector for this component.
`int` | `getRows()`
`SpinButton` | `getSpinButton()`
`TextArea` | `getTextArea()`
`boolean` | `isEditable()`
`void` | `moveSelection(int offset)`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Handles any property links on this component from the source component.
`void` | `setColumns(int col)`
`void` | `setDefaultValues()` Sets default values which are different than the parent classes.
`void` | `setEditable(boolean e)`
`void` | `setRows(int r)`
`void` | `synchronizeButtons()`

Methods inherited from class com.sas.awt.Container
`getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, setDefaultHeight, setDefaultWidth`

Methods inherited from class com.sas.awt.ContainerContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ContainerVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachView, computePreferredSize, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### items

    protected TextArea items

### reorder

    protected SpinButton reorder

Constructor Detail

### UpDownTextArea

    public UpDownTextArea()

Method Detail

### getRequiredInterfaces

    public java.util.Vector getRequiredInterfaces()

  Returns the required interfaces Vector for this component.

  Specified by:
    `getRequiredInterfaces` in interface `ViewInterface`
  Overrides:
    `getRequiredInterfaces` in class `ContainerVisualComponent`
  Returns:
    the required interfaces Vector for this component.
  See Also:
    `ViewInterface.getRequiredInterfaces()`

### getTextArea

    public TextArea getTextArea()

### getSpinButton

    public SpinButton getSpinButton()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Description copied from class: `ContainerVisualComponent`
  Handles any property links on this component from the source component.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `ContainerVisualComponent`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### contentsChanged

    public void contentsChanged(com.sas.collection.ContentsChangedEvent e)

  Specified by:
    `contentsChanged` in interface `com.sas.collection.ContentsChangedListener`

### adjustmentValueChanged

    public void adjustmentValueChanged(java.awt.event.AdjustmentEvent e)

  Specified by:
    `adjustmentValueChanged` in interface `java.awt.event.AdjustmentListener`

### moveSelection

    public void moveSelection(int offset)

### synchronizeButtons

    public void synchronizeButtons()

### detachModel

    public void detachModel(ModelInterface model)

  Description copied from interface: `ViewInterface`
  Detaches the specified model from this view. Calls detachView on the model to notify it of the attach request. Calls removeInterfaceTraps on the view to remove the appropriate event handlers in the view for attribute changed events from the model. Calls refresh, passing null for the model interface, on the view after successful completion to allow the view to clear itself.

  Specified by:
    `detachModel` in interface `ViewInterface`
  Overrides:
    `detachModel` in class `ContainerVisualComponent`
  Parameters:
    `model` - Model to detach
  See Also:
    `ViewInterface.detachModel(com.sas.ModelInterface)`

### attachModel

    public void attachModel(ModelInterface model)

  Description copied from interface: `ViewInterface`
  Attaches the specified model to this view. Calls attachView on the model to notify it of the attach request. Throws a run time ComponentException if the model denies the attach request. Calls trapInterfaceEvents on the view to set up the appropriate event handlers in the view for attribute changed events from the model. attachModel will be called once for the model specified in the setModel method. It is the responsibility of the views to maintain interface handles to multiple models; one interface handle will be set in the attachModel call and cleared in detachModel. Therefore, the interface handle will always point to the last model attached to. Throws a run time ComponentException if the specified model does not support the required interface on the view. Calls refresh, passing the model interface, on the view after successful completion to allow the view to update itself.

  Specified by:
    `attachModel` in interface `ViewInterface`
  Overrides:
    `attachModel` in class `ContainerVisualComponent`
  Parameters:
    `model` - Model to attach to
  See Also:
    `ViewInterface.attachModel(com.sas.ModelInterface)`

### getCaretRow

    public int getCaretRow()

### isEditable

    public boolean isEditable()

### setEditable

    public void setEditable(boolean e)

### getColumns

    public int getColumns()

### setColumns

    public void setColumns(int col)

### getRows

    public int getRows()

### setRows

    public void setRows(int r)

### setDefaultValues

    public void setDefaultValues()

  Description copied from class: `Container`
  Sets default values which are different than the parent classes.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `ComponentInterface`
  Overrides:
    `setDefaultValues` in class `Container`
  See Also:
    `ContainerInterface.setDefaultValues()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.